> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get news



## OpenAPI

````yaml /api-reference/oda-news-service-1.0.0.yml get /news
openapi: 3.0.1
info:
  title: ODA News Service
  description: News Service API
  contact:
    name: stCarolas
    email: stcarolas@gmail.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
  version: 1.0.0
servers: []
security: []
paths:
  /news:
    get:
      operationId: getNews
      parameters:
        - name: pageable
          in: query
          required: true
          explode: false
          schema:
            $ref: '#/components/schemas/Pageable'
      responses:
        '200':
          description: getNews 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_NewsDto_'
components:
  schemas:
    Pageable:
      required:
        - mode
        - number
        - size
        - sort
      type: object
      allOf:
        - $ref: '#/components/schemas/Sort'
        - type: object
          properties:
            number:
              type: integer
              format: int32
            size:
              type: integer
              format: int32
            mode:
              $ref: '#/components/schemas/Pageable.Mode'
            sort:
              $ref: '#/components/schemas/Sort'
    Page_NewsDto_:
      required:
        - totalPages
        - totalSize
      type: object
      allOf:
        - $ref: '#/components/schemas/Slice_NewsDto_'
        - type: object
          properties:
            totalSize:
              type: integer
              format: int64
            totalPages:
              type: integer
              format: int32
    Sort:
      required:
        - orderBy
      type: object
      properties:
        orderBy:
          type: array
          items:
            $ref: '#/components/schemas/Sort.Order'
    Pageable.Mode:
      type: string
      enum:
        - CURSOR_NEXT
        - CURSOR_PREVIOUS
        - OFFSET
    Slice_NewsDto_:
      required:
        - content
        - empty
        - numberOfElements
        - offset
        - pageNumber
        - pageable
        - size
      type: object
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/NewsDto'
        pageable:
          $ref: '#/components/schemas/Pageable'
        pageNumber:
          type: integer
          format: int32
        offset:
          type: integer
          format: int64
        size:
          type: integer
          format: int32
        empty:
          type: boolean
        numberOfElements:
          type: integer
          format: int32
    Sort.Order:
      required:
        - ascending
        - direction
        - ignoreCase
        - property
      type: object
      properties:
        ignoreCase:
          type: boolean
        direction:
          $ref: '#/components/schemas/Sort.Order.Direction'
        property:
          type: string
        ascending:
          type: boolean
    NewsDto:
      required:
        - date
        - description
        - id
        - title
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        description:
          type: string
        date:
          type: string
        demoUrl:
          type: string
          nullable: true
    Sort.Order.Direction:
      type: string
      enum:
        - ASC
        - DESC

````